<!DOCTYPE html>
<html lang="ru">
<head itemscope itemtype="http://schema.org/WebSite">
  <meta charset="utf-8">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <meta name="msapplication-tap-highlight" content="no">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Project</title>
  <link rel="stylesheet" href="./css/app.css">
  <link rel="stylesheet" href="./scss/style.scss">
</head>
<body itemscope itemtype="http://schema.org/WebPage">
<header>
  <div class="content_wrapper">
    <div class="header_search-wrapper">
      <h1>
        <a class="header_logo">Teachinder</a>
      </h1>
      <div class="header_form">
        <input class="header_form-input" id="header_form-input" type="text" placeholder="Enter name to search">
        <button class="header_form-btn" onclick="searchTeacher()">Search</button>
      </div>
    </div>
  </div>
</header>
<main>
  <div class="content_wrapper">
    <nav class="navigation">
      <ul class="navigation_menu">
        <li>
          <a href="#teachers" class="navigation_link">
            Teachers
          </a>
        </li>
        <li>
          <a href="#statistics" class="navigation_link">
            Statistics
          </a>
        </li>
        <li>
          <a href="#favorites" class="navigation_link">
            Favorites
          </a>
        </li>
        <li>
          <a href="#about" class="navigation_link">
            About
          </a>
        </li>
      </ul>

      <div>
        <div type="button" class="navigation_btn" onclick="openTeacherModal()">Add teacher</div>

        <div id="modal">
          <div class="modal_content">
            <div class="modal_close" onclick="closeTeacherModal()">&times</div>
            <h2 class="modal_title">Add Teacher</h2>
            <form class="modal_form" id="modal_add_teacher_form">
              <label for="add_teacher_name">Name:</label>
              <input type="text" name="name" id="add_teacher_name" required placeholder="Enter name">

              <label for="add_teacher_country">Country:</label>
              <select name="country" id="add_teacher_country">
                <option value="Ukraine">Ukraine</option>
                <option value="Usa">USA</option>
                <option value="France">France</option>
              </select>

              <label for="add_teacher_city">City:</label>
              <input type="text" name="city" id="add_teacher_city" required>

              <label for="add_teacher_phone">Phone:</label>
              <input type="text" id="add_teacher_phone" name="add_teacher_phone" required>

              <label for="add_teacher_email">Email:</label>
              <input type="email" id="add_teacher_email" name="add_teacher_email" required>

              <label for="add_teacher_age">Age:</label>
              <input type="age" id="add_teacher_age" name="age" required>

              <div class="modal_gender">
                <label>Sex</label>

                <div class="modal_gender-btn">
                  <label>Male</label>
                  <input type="radio" name="gender" value="Male" id="add_teacher_male">
                  <label>Female</label>
                  <input type="radio" name="gender" value="Female" id="add_teacher_female">
                </div>
              </div>

              <div class="modal_background">
                <label for="add_teacher_color">Background color:</label>
                <input type="color" id="add_teacher_color" name="color">
              </div>

              <button class="modal_btn" type="submit" onclick="addTeacher()">Add</button>
            </form>
          </div>
        </div>
      </div>
    </nav>

    <hr class="divider"/>

    <section class="teachers" id="teachers">
      <h2 class="title">Top Teachers</h2>

      <div class="teachers_filter">
        <span>Filter by: </span>
        <div class="teachers_filter_show">
          Country
          <select name="country" id="filter_teacher_country">
            <option value="">Default</option>
            <option value="gb">United Kingdom</option>
            <option value="us">USA</option>
            <option value="es">Spain</option>
          </select>
        </div>
        <div class="teachers_line"></div>
        <div class="teachers_filter_show">
          Age <input type="number" id="filter_teacher_age">
        </div>
        <div class="teachers_line"></div>
        <div class="teachers_filter_show">
          Gender
          <select id="filter_teacher_gender">
            <option value="">Disabled</option>
            <option value="male">Male</option>
            <option value="female">Female</option>
          </select>
        </div>
        <div class="teachers_line"></div>
        <div class="teachers_filter_show">
          Favourite
          <input type="checkbox" value="true" id="filter_teacher_fav">
        </div>
        <button onclick="filterTeachers()">Filter</button>
      </div>

      <div id="teacher_modal" class="teacher_modal"></div>

      <div class="teachers_wrapper" id="teachers_wrapper"></div>
    </section>

    <hr class="divider"/>

    <section class="statistics" id="statistics">
      <h2 class="title">Statistics</h2>
      <div>
        <table class="statistics_table">
          <thead>
            <tr>
              <th onclick="sortName()" id="statistics_full_name_th">Name</th>
              <th onclick="sortAge()" id="statistics_age_th">Age</th>
              <th>Gender</th>
              <th onclick="sortCountry()" id="statistics_country_th">Nationality</th>
            </tr>
          </thead>
          <tbody id="statistics_tbody">
          </tbody>
        </table>
        <div class="numbers">
          <a onclick="showMoreTeachers()">Next</a>
        </div>
      </div>
    </section>

    <hr class="divider"/>

    <section class="favorites" id="favorites">
      <h2 class="title">Favorites</h2>
      <div class="arrow left"></div>
      <div class="arrow right"></div>
      <div class="favorites_wrapper" id="favorites_wrapper"></div>
    </section>

    <hr class="divider"/>

    <section class="about" id="about">
      <p class="about_text">
        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed hendrerit tellus eget ipsum congue volutpat. Praesent rhoncus vestibulum purus. Curabitur laoreet sem a felis semper ultrices. In mattis lobortis ligula non commodo. Vestibulum venenatis tellus sit amet tincidunt pharetra sectetur adipiscing elit. Sed hendrerit gehols.
      </p>
      <br/>
      <p class="about_text">
        Lorem ipsum dolor sit amet, adipiscing elit. Sed hendrerit tellus eget ipsum congue volutpat. Praesent rhoncus vestibulum purus?
      </p>
      <br/>
      <p class="about_text">
        Lorem ipsum adipiscing elit. Sed hendrerit tellus eget ipsum congue volutpat. Praesent rhoncus vestibulum purus?
      </p>
    </section>
  </div>
</main>
<footer>
  <div class="content_wrapper">
    <nav class="navigation">
      <ul class="navigation_menu">
        <li>
          <a href="#" class="navigation_link footer_link">
            Teachers
          </a>
        </li>
        <li>
          <a href="#" class="navigation_link footer_link">
            Statistics
          </a>
        </li>
        <li>
          <a href="#favorites" class="navigation_link footer_link">
            Favorites
          </a>
        </li>
        <li>
          <a href="#about" class="navigation_link footer_link">
            About
          </a>
        </li>
      </ul>
      <button class="navigation_btn">
        Add teacher
      </button>
    </nav>
  </div>
</footer>
<script type="text/javascript" src="../build/app.js"></script>
<script type="text/javascript" src="new_script.js"></script>
</body>
</html>
